Skip to content

Get pre-generation hints

POST
/api/writing/proseguard/hints

Get advisory hints for injection into generation prompts. These are ADVISORY ONLY - post-lint is enforcement.

HintsRequest

Request for pre-generation hints.

object
projectId
required
Projectid

Project UUID

string
characterIds
Any of:
Array<string>
documentId
Any of:
string
sceneId
Any of:
string

Successful Response

PreGenerationHints

Advisory hints for pre-generation injection.

These hints are advisory only - post-lint is the enforcement layer. Format: Machine-readable, no prose, max 5 lines.

Attributes: pov: POV hint if applicable pronouns: Character pronouns if applicable forbidden: Most critical forbidden terms (up to 3) hint_text: Formatted hint block for prompt injection

object
pov
Any of:
string
pronouns
Any of:
object
key
additional properties
string
forbidden
Any of:
Array<string>

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object